Details

    • Type: Sub-task Sub-task
    • Status: Closed
    • Priority: Minor Minor
    • Resolution: Fixed
    • Affects Version/s: 2.5
    • Fix Version/s: 2.5
    • Component/s: AJAX and JavaScript
    • Labels:
    • Testing Instructions:
      Hide

      Generic Notes

      These testing instructions should be carried out twice to confirm that the correct versions of JS are used work as expected.

      Tip: Open your browser's developer toolkit, open the 'Network' activity tab, and restrict to 'Scripts'.

      Note: You may find that the script you're looking for is included with a number of other scripts - this is because of our combo loading.
      You can turn off comboloading to make it easier to check the relevant script by setting

      $CFG->yuicomboloading = false;

      , but you should check that functionality works with combo loading enabled.

      To test the minified code:

      Required settings:

      // Ensure you aren't overriding $CFG->jsrev
      $CFG->debug = 0;
      

      Notes

      Check that the minified version of this module is loaded.
      It will have -min.js in the filename but please ensure content is also be minified

      and to test the non-minified code:

      Required settings:

      $CFG->jsrev = -1;
      $CFG->debug = (E_ALL | E_STRICT);
      

      Notes

      Check that the non-minified version of this module is loaded.
      It will have -debug.js in the filename and the file content should not be minified.

      Module-specific test instructions

      • Open the question bank
      • Add a new multi-choice question
      • *Confirm that the 'Show editing tools' buttons are visible on the 'Choice {1,2,3}

        ' TinyMCE editors*

      • Confirm that a minified version of the JS was loaded if debug_developer is not set
      • Confirm that a raw (non-minified) version of the JS was loaded if debug_developer is set
      • Run through shifter to confirm no diff
      Show
      Generic Notes These testing instructions should be carried out twice to confirm that the correct versions of JS are used work as expected. Tip : Open your browser's developer toolkit, open the 'Network' activity tab, and restrict to 'Scripts'. Note : You may find that the script you're looking for is included with a number of other scripts - this is because of our combo loading. You can turn off comboloading to make it easier to check the relevant script by setting $CFG->yuicomboloading = false ; , but you should check that functionality works with combo loading enabled. To test the minified code: Required settings: // Ensure you aren't overriding $CFG->jsrev $CFG->debug = 0; Notes Check that the minified version of this module is loaded. It will have -min.js in the filename but please ensure content is also be minified and to test the non-minified code: Required settings: $CFG->jsrev = -1; $CFG->debug = (E_ALL | E_STRICT); Notes Check that the non-minified version of this module is loaded. It will have -debug.js in the filename and the file content should not be minified. Module-specific test instructions Open the question bank Add a new multi-choice question *Confirm that the 'Show editing tools' buttons are visible on the 'Choice {1,2,3} ' TinyMCE editors* Confirm that a minified version of the JS was loaded if debug_developer is not set Confirm that a raw (non-minified) version of the JS was loaded if debug_developer is set Run through shifter to confirm no diff
    • Affected Branches:
      MOODLE_25_STABLE
    • Fixed Branches:
      MOODLE_25_STABLE
    • Pull Master Branch:
    • Rank:
      48328

      Description

      Migrate moodle-editor_tinymce modules to Shifter

        Activity

        Hide
        Damyon Wiese added a comment -

        The main moodle.git repository has just been updated with latest weekly modifications. You may wish to rebase your PULL branches to simplify history and avoid any possible merge conflicts. This would also make integrator's life easier next week.

        Thanks!

        Show
        Damyon Wiese added a comment - The main moodle.git repository has just been updated with latest weekly modifications. You may wish to rebase your PULL branches to simplify history and avoid any possible merge conflicts. This would also make integrator's life easier next week. Thanks!
        Hide
        Eloy Lafuente (stronk7) added a comment -

        And passing. I've tried every combination of:

        • $CFG->jsrev (-1/unset)
        • $CFG->debug (0/E_ALL | E_STRICT)

        Both with $CFG->yuicomboloading enabled and disabled and everything looks ok.

        Tested:

        • Editor instances can have the toolbars toggled (hide/show).

        Finally, this module's verification with jshint is showing 0 warnings, yay!

        Ciao

        Show
        Eloy Lafuente (stronk7) added a comment - And passing. I've tried every combination of: $CFG->jsrev (-1/unset) $CFG->debug (0/E_ALL | E_STRICT) Both with $CFG->yuicomboloading enabled and disabled and everything looks ok. Tested: Editor instances can have the toolbars toggled (hide/show). Finally, this module's verification with jshint is showing 0 warnings, yay! Ciao
        Hide
        Damyon Wiese added a comment -

        Thanks for your hard work. This issue has been integrated upstream and is now available via git (and in some hours, via mirrors and downloads).

        Show
        Damyon Wiese added a comment - Thanks for your hard work. This issue has been integrated upstream and is now available via git (and in some hours, via mirrors and downloads).

          People

          • Votes:
            0 Vote for this issue
            Watchers:
            2 Start watching this issue

            Dates

            • Created:
              Updated:
              Resolved: